<form [formGroup]="parentForm" *ngIf="parentForm.get(controlName)">
  <label *ngIf="label" [attr.for]="controlName">{{ label }}</label>
  <div class="input-group"
       [ngClass]="{
      'border border-warning': parentForm.get(controlName).invalid &&
      (parentForm.get(controlName).dirty || parentForm.get(controlName).touched)
    }">
    <div class="input-group-prepend">
      <span class="input-group-text">
        <fa-icon [fixedWidth]="true" class="text-primary" [icon]="faKey"></fa-icon>
      </span>
    </div>
    <input
      [formControlName]="controlName"
      [id]="controlName"
      type="password"
      class="form-control"
      [placeholder]="placeholder"
      aria-label="Lozinka"
      (keyup.enter)="didSubmit.emit()"
    >
  </div>
  <ng-container
    *ngIf="parentForm.get(controlName).errors && (parentForm.get(controlName).dirty || parentForm.get(controlName).touched)">
    <small *ngIf="parentForm.get(controlName).hasError('required')" class="text-warning">
      Lozinka je obavezna
    </small>
    <small *ngIf="parentForm.get(controlName).hasError('minlength')" class="text-warning">
      Lozinka ne može imati manje od {{ parentForm.get(controlName).errors['minlength'].requiredLength }} znakova
    </small>
  </ng-container>

</form>
